Skip to content

Cancel payment plan

Request

Use this endpoint to cancel a payment plan. Any existing payment plan must be canceled prior to creating a new payment plan. After canceling a payment plan, Peach's system will revert the loan schedule (from the current period onwards) to the previous recurring payment amount and frequency prior to creating the payment plan.

As a result of cancellation, the loan duration and loan end date will be adjusted to match with the last non-zero expected payment, if required.

Security
oauth2(Required scopes: loan.custompaymentplan:delete) or bearerAuth or apiKeyHeader
Path
personIdstring(AnyId)^ext-|^[A-Z][A-Z0-9]-[A-Z0-9]+-[A-Z0-9]+|^\d+$write-onlyrequired

A Borrower's unique identifier, tied to a person or a business. Can be Peach or a lender's external identifier.

loanIdstring(AnyId)^ext-|^[A-Z][A-Z0-9]-[A-Z0-9]+-[A-Z0-9]+|^\d+$write-onlyrequired

The unique identifier of the Loan we wish to retrieve. Can be Peach or lender's external identifier.

paymentPlanIdstringrequired

The identifier of the payment plan.

Bodyapplication/jsonrequired
cancellationReasonstring(customPaymentPlanCancellationReason)required

The cancellation reason:

canceledByUser - payment plan was canceled by an agent or borrower.

loanTermsChanged - loan terms changed.

loanChargedOff - loan was charged off.

loanAccelerated - loan was accelerated.

otherPaymentPlanOffered - another payment plan was offered.

other - for any other reason requiring cancellation.

Enum:"canceledByUser""loanTermsChanged""loanChargedOff""loanAccelerated""otherPaymentPlanOffered""other"
caseIdstring

An identifier for an existing case.

reasonDetailsstring(customPaymentPlanReasonDetails)

The reason for payment plan cancellation. This is typically entered by an agent canceling a payment plan via the front end.

sendNoticeboolean

When set to false, the system will NOT send a loanPaymentScheduleChanged notice to the borrower.

Default:false
POST
/people/{personId}/loans/{loanId}/custom-payment-plans/{paymentPlanId}/cancel
curl -i -X POST \
  'https://sandboxapi.peach.finance/api/people/{personId}/loans/{loanId}/custom-payment-plans/{paymentPlanId}/cancel' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "cancellationReason": "canceledByUser",
    "caseId": "string",
    "reasonDetails": "string",
    "sendNotice": false
  }'

Responses

Success